import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import '../resources.dart';

class ItemCollectionPreview extends StatelessWidget {
  const ItemCollectionPreview({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        KntImage.assets(
          uri: Assets.images.icFolder.path,
          width: 24.w,
          height: 24.w,
        ),
        SizedBox(width: 8.w),
        Text(
          LocaleKeys.item_collectionPreview_collectionName.tr(),
          style: TextStyle(
            color: ColorName.pinkPiano.withAlpha(127),
            fontFamily: FontFamily.montserrat,
            fontSize: 14.sp,
            fontWeight: FontWeight.w600,
            height: 16.sp / 14.sp,
          ),
        ),
        SizedBox(width: 8.w),
        Text(
          LocaleKeys.item_collectionPreview_collectionCount.tr(),
          style: TextStyle(
            color: ColorName.stonewash,
            fontFamily: FontFamily.montserrat,
            fontSize: 12.sp,
            fontWeight: FontWeight.w500,
            height: 14.sp / 12.sp,
          ),
        ),
      ],
    );
  }
}
