class TabIcon {
  const TabIcon({
    this.localeKeyTitle = '',
    this.activeImagePath = '',
    this.inactiveImagePath = '',
  });

  /// LocaleKey for title of BottomBarItem. Follow EasyLocalization for helps
  final String localeKeyTitle;

  /// Active icon for BottomBarItem, must be in SVG format
  final String activeImagePath;

  /// Inactive icon for BottomBarItem, must be in SVG format
  final String inactiveImagePath;
}
